Skip to main content
PUT
/
api
/
v2
/
public
/
config
curl -X PUT "https://app.refold.ai/api/v2/public/config" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "linked_account_id: YOUR_LINKED_ACCOUNT_ID" \
  -H "Content-Type: application/json" \
  -d '{ "slug": "{slug}", "labels": { "env": "production" } }'
{
  "slug": "hubspot",
  "config_id": "user_12345",
  "field_errors": [],
  "fields": [
    { "id": "699fec7a5bd27ed2af7243ad", "name": "Select", "field_type": "select" }
  ],
  "workflows": [
    { "id": "699d8648a81ba363578cc2f4", "name": "Sync Contacts", "enabled": true }
  ]
}
Update an installed config — field values, enabled workflows, labels, and other installation settings. The config is identified by config_id (defaults to the linked account ID).

Authentication

Configs are scoped to a linked account via the linked_account_id header.
x-api-key
string
required
Your Refold API key.
linked_account_id
string
required
The linked account whose config to update.

Body Parameters

slug
string
required
The app slug. Example: hubspot
config_id
string
The config to update. Defaults to the linked account ID.
fields
array
Field values to set.
workflows
array
Workflows to enable/disable.
labels
object
Key/value labels for the config.

Response

Returns the updated config ({slug, config_id, fields, workflows, field_errors}).
{
  "slug": "hubspot",
  "config_id": "user_12345",
  "field_errors": [],
  "fields": [
    { "id": "699fec7a5bd27ed2af7243ad", "name": "Select", "field_type": "select" }
  ],
  "workflows": [
    { "id": "699d8648a81ba363578cc2f4", "name": "Sync Contacts", "enabled": true }
  ]
}
curl -X PUT "https://app.refold.ai/api/v2/public/config" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "linked_account_id: YOUR_LINKED_ACCOUNT_ID" \
  -H "Content-Type: application/json" \
  -d '{ "slug": "{slug}", "labels": { "env": "production" } }'